Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SetLogVerbosityLevel

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.SetLogVerbosityLevel

Enclosing class:
  TdApi

public static final class TdApi.SetLogVerbosityLevel extends TdApi.Function<TdApi.Ok>
Sets the verbosity level of the internal logging of TDLib. Can be called synchronously.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`int`
`newVerbosityLevel`
New value of the verbosity level for logging.

## Constructor Summary

Constructors
Constructor
Description
`SetLogVerbosityLevel()`
Sets the verbosity level of the internal logging of TDLib.
`SetLogVerbosityLevel(int newVerbosityLevel)`
Sets the verbosity level of the internal logging of TDLib.
`SetLogVerbosityLevel(DataInput input)`
Sets the verbosity level of the internal logging of TDLib.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### newVerbosityLevel

public int newVerbosityLevel
New value of the verbosity level for logging. Value 0 corresponds to fatal errors, value 1 corresponds to errors, value 2 corresponds to warnings and debug warnings, value 3 corresponds to informational, value 4 corresponds to debug, value 5 corresponds to verbose debug, value greater than 5 and up to 1023 can be used to enable even more logging.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### SetLogVerbosityLevel

public SetLogVerbosityLevel()
Sets the verbosity level of the internal logging of TDLib. Can be called synchronously.

Returns `Ok`

### SetLogVerbosityLevel

public SetLogVerbosityLevel(int newVerbosityLevel)
Sets the verbosity level of the internal logging of TDLib. Can be called synchronously.

Returns `Ok`

Parameters:
  `newVerbosityLevel` - int New value of the verbosity level for logging. Value 0 corresponds to fatal errors, value 1 corresponds to errors, value 2 corresponds to warnings and debug warnings, value 3 corresponds to informational, value 4 corresponds to debug, value 5 corresponds to verbose debug, value greater than 5 and up to 1023 can be used to enable even more logging.

### SetLogVerbosityLevel

public SetLogVerbosityLevel(DataInput input) throws IOException
Sets the verbosity level of the internal logging of TDLib. Can be called synchronously.

Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`